Description

Running standard_reco_dune10kt_nu_1x2x6.fcl gives lots the following errors:

%MSG-e OpHitFinder: OpHitFinder:ophit 08-Jun-2017 15:41:01 CDT run: 20000002 subRun: 1 event: 10
Error! unrecognized channel number 486. Ignoring pulse

%MSG

%MSG-e OpHitFinder: OpHitFinder:ophit 08-Jun-2017 15:41:01 CDT run: 20000002 subRun: 1 event: 10
Error! unrecognized channel number 505. Ignoring pulse

%MSG

%MSG-e OpHitFinder: OpHitFinder:ophit 08-Jun-2017 15:41:01 CDT run: 20000002 subRun: 1 event: 10
Error! unrecognized channel number 515. Ignoring pulse

%MSG

%MSG-e OpHitFinder: OpHitFinder:ophit 08-Jun-2017 15:41:01 CDT run: 20000002 subRun: 1 event: 10
Error! unrecognized channel number 533. Ignoring pulse

%MSG

History

#1 - 06/09/2017 09:52 AM - Alexander Himmel
- Status changed from New to Assigned

- Assignee changed from Alexander Himmel to Lucas Mendes santos

Lucas has kindly agreed to look into this since | will be unavailable for the next week due to a NOVA collaboration meeting.
#2 - 06/09/2017 10:06 AM - Tingjun Yang

Thanks Alex.

Lucas, to reproduce this problem. You can run the following command using the latest release (v06_39_00):

lar -¢ standard_reco_dune10kt_nu_1x2x6.fcl

/pnfs/dune/persistent/dunepro/v06_17_00/detsim/prodgenie_nue_dune10kt_1x2x6/12485578 0/prodgenie_nue_dune10kt_1x2x6_0_20161210T0559
06_detsim2_b2ff2530-418c-4a52-857e-44428b5e99b2.root

#3 - 06/10/2017 07:48 AM - Lucas Mendes santos

- File config_dumper.ixt added

Tingjun Yang wrote:
Thanks Alex.
Lucas, to reproduce this problem. You can run the following command using the latest release (v06_39_00):
lar -c standard_reco_dune10kt_nu_1x2x6.fcl
/pnfs/dune/persistent/dunepro/v06_17_00/detsim/prodgenie_nue_dune10kt_1x2x6/12485578_0/prodgenie_nue_dune10kt_1x2x6_0_20161210T
055906_detsim2_b2ff2530-418c-4a52-857e-44428b5e99b2.root

Hi Tingjun,

| could reproduce your error. However, | ran the config_dumper over this input file (see attachment) and as it seems the input file was generated prior
to the changes in the number of channels. Maybe the inconsistency is there. | am going to investigate further though.

Cheers,

Lucas
#4 - 06/10/2017 07:52 AM - Tingjun Yang

Hi Lucas,
Thanks for looking into this. The simulation file was indeed generated a long time ago.
Tingjun

#5 - 06/12/2017 11:53 AM - Tingjun Yang

So maybe the question is does PD reconstruction work correctly on old simulated files before the changes in the number of channels? If so, we can
probably ignore the errors and close this issue.

Tingjun

#6 - 10/31/2017 08:56 PM - Tingjun Yang

- Status changed from Assigned to Closed

Files

config_dumper.txt 16.4 KB 06/10/2017 Lucas Mendes santos
